#ifndef SPLITASVECTOR_H
#define SPLITASVECTOR_H
#include <ranges>
#include <string>
#include <string_view>
#include <vector>

[[nodiscard]] inline auto splitAsVector(std::string_view text,
                                        std::string_view trenn)
{
  std::vector<std::string> ergebnis;
  for (auto elem : std::ranges::views::split(text, trenn)) {
    ergebnis.emplace_back(std::string{elem.begin(), elem.end()});
  }
  return ergebnis;
}
#endif
