#include <cmath>
#include <iostream>
using namespace std;

int main()
{
  cout << "Berechnung der ersten Primzahl, die >="
          " der eingegebenen Zahl ist\n";
  // Hinweis: Mehrere, durch \dq getrennte Texte ergeben eine lange Zeile in der Ausgabe.
  long zahl {0L};
  // do while-Schleife zur Eingabe und Plausibilitätskontrolle
  do {
    // Abfrage, solange zahl <= 3 ist
    cout << "Zahl > 3 eingeben :";
    cin >> zahl;
  } while (zahl <= 3);

  if (zahl % 2 == 0) {  // Falls zahl gerade ist, wird die nächste
                        // ungerade Zahl als Startwert genommen.
    ++zahl;
  }
  bool gefunden {false};
  do {
    // limit = Grenze, bis zu der gerechnet werden muss.
    // sqrt() arbeitet mit double, daher wird der Typ explizit umgewandelt.
    const long limit {1 + static_cast<long>(sqrt(static_cast<double>(zahl)))};
    long rest {0L};
    long teiler {1L};
    do {                    // Kandidat zahl durch alle ungeraden Teiler dividieren
      teiler += 2;
      rest = zahl % teiler;
    } while (rest > 0 && teiler < limit);

    if (rest > 0 && teiler >= limit) {
      gefunden = true;
    }
    else {                  // sonst nächste ungerade Zahl untersuchen
      zahl += 2;
    }
  } while (!gefunden);
  cout << "Die nächste Primzahl ist " << zahl << '\n';
}

