#include <iostream>

template <typename T, typename... Args>
int addiere_auf_anfangswert(const T& anfangswert, const Args&... args)
{
  return (args + ... + anfangswert);
}

int main()
{ 
  std::cout << addiere_auf_anfangswert(10, 1, 2, 3, 4) << '\n';  // 20 
}
