#ifndef CONSUMER_H
#define CONSUMER_H
#include "Ablage.h"
#include <iostream>
#include <syncstream>

class Consumer {
public:
  Consumer(Ablage& a) : ablage(a) {}

  void operator()()
  {
    while (!ablage.istBeendet()) {
      int wert = ablage.get();
      if (!ablage.istBeendet()) {
        std::osyncstream(std::cout)
            << "Consumer hat " << wert << " geholt." << std::endl;
      }
    }
    std::osyncstream(std::cout) << "Consumer beendet sich." << std::endl;
  }

private:
  Ablage& ablage;
};
#endif
