#include "tree.h"
#include <iostream>
#include <string>
using namespace std;

int main(int argc, char* argv[])
{
  if (argc > 2) {
    cout << "Verzeichnisbaum anzeigen\n"
      "Gebrauch: " << argv[0] << " [name]\n";
  }
  else {
    string verz(".");          // aktuelles Verzeichnis
    if (argc > 1) {
      verz = argv[1];
    }
    try {
      tree(verz);
    }
    catch (const exception& e) {
      cerr << argv[1] << ": Fehler: " << e.what() << '\n';
    }
  }
}
