#include "include/CurlInterface.h"
#include "include/json.hpp"
using namespace std;

int main()
{
  string prompt_string {"?"};
  cout << "Prompt eingeben: ";
  getline(cin, prompt_string);
  // Anfrage im JSON-Format aufbauen
  const int anzahl {1};
  string pre {R"({"size" : "512x512", "n" :)"};
  pre += to_string(anzahl) + ", \"prompt\": \"";
  string request_str = pre + prompt_string + "\"}"; // abschließen
  CurlInterface curlinterface("https://api.openai.com/v1/images/generations");
  auto response_str = curlinterface.getResponse(request_str);
  auto response_json = nlohmann::json::parse(response_str);
  for (int i {0}; i < anzahl; ++i) {
    cout << "Diesen URL in einen Browser eingeben : \n"
         << static_cast<string>(response_json["data"][i]["url"]) << "\n\n";
  }
}
