#include "mittelwert.h"
#include <iostream>

double mittelwert(const std::vector<double>& vec)
{
  if (vec.size() < 1) {
    std::cerr << "Vektor ist leer! Abbruch!\n";
    std::exit(1);
  }
  double ergebnis = 0;
  for (auto summand : vec) {
    ergebnis += summand;
  }
  return ergebnis / static_cast<double>(vec.size());
}
