#ifndef PERSON_H
#define PERSON_H
#include <iostream>
#include <set>
#include <string>
#include <utility>

class Person {
public:
  Person(std::string name_) 
  : name(std::move(name_))
  {}

  auto getName() const
  { 
    return name; 
  }

  void lerntkennen(Person& p)
  {
    bool nichtvorhanden = bekannte.insert(&p).second; // siehe Hinweis im Text
    if (nichtvorhanden) {          // falls unbekannt, auch bei p eintragen
      p.lerntkennen(*this);
    }
  }

  void bekannteZeigen() const
  {
    std::cout << "Die Bekannten von " << getName() << " sind:\n";
    for (const auto& bekannt : bekannte) {
      std::cout << bekannt->getName() << '\n';
    }
  }

private:
  std::string name;
  std::set<Person*> bekannte;
};
#endif

