#include <array>
#include <iterator>
#include <numeric>
#include <showContainer.h>
using namespace std;

int main()
{  
  array arr {1, 2, 3, 4, 5, 6};
  decltype(arr) ergebnisfolge;
  partial_sum(arr.begin(), arr.end(), ergebnisfolge.begin());
  cout << "Partialsumme            = ";
  showContainer(ergebnisfolge);
  cout << "Ergebnisfolge inclusive = ";
  inclusive_scan(arr.begin(), arr.end(), ergebnisfolge.begin());
  showContainer(ergebnisfolge);
  cout << "Ergebnisfolge exclusive = ";
  exclusive_scan(arr.begin(), arr.end(), ergebnisfolge.begin(), 0); 
  showContainer(ergebnisfolge);
  cout << "Produktfolge inclusive  = ";
  inclusive_scan(arr.begin(), arr.end(), ergebnisfolge.begin(), multiplies<>{});
  showContainer(ergebnisfolge);
  cout << "Produktfolge exclusive  = ";
  exclusive_scan(arr.begin(), arr.end(), ergebnisfolge.begin(), 1, multiplies<>{}); 
  showContainer(ergebnisfolge);
}
