// Diese Datei ist UTF-8 codiert
#include <algorithm>
#include <iostream>
#include <locale>
#include <string>
#include <vector>

void printWstringVector(const std::vector<std::wstring>& v)
{
  for (const auto& ws : v) {
    std::wcout << ws << ' ';
  }
  std::wcout << '\n';
}
using namespace std;

int main()
{
  locale::global(locale("de_DE.utf8"));     // deDE global setzen
  vector<wstring> v;
  v.emplace_back(L"Maße");
  v.emplace_back(L"Masse");
  v.emplace_back(L"Ähnlich");
  v.emplace_back(L"Alphabet");
  v.emplace_back(L"aal");
  v.emplace_back(L"ähnlich");
  v.emplace_back(L"alphabet");
  v.emplace_back(L"Aal");
  wcout << "vorher:\n";
  printWstringVector(v);
  sort(v.begin(), v.end());
  wcout << "nach Sortieren ohne Compare-Objekt:\n";
  printWstringVector(v);
  locale deutsch("de_DE.utf8");
  sort(v.begin(), v.end(), deutsch);
  wcout << "nach Sortieren (locale de_DE.utf8):\n";
  printWstringVector(v);
}
