// C-Array mit C-Funktionen in Zahl wandeln
#include <array>
#include <cstdlib>
#include <iostream>
using namespace std;

int main()
{
  cout << "Bitte Zeichenkette eingeben (z.B. 3.14 12345 0x78 FF 0123): ";
  char eingabe[80]{};
  cin.get(eingabe, sizeof(eingabe));  // liest max. sizeof(eingabe)-1 Zeichen
  char* rest {nullptr};
  constexpr array modus{-1, 0, 2, 8, 10, 16};
  constexpr array modusText{"double", "Standard (0 okt/0x hex/dez)",
                  "Binärzahl",   "Oktalzahl",
                  "Dezimalzahl", "Hexadezimalzahl"};
  for (auto i {0z}; i < ssize(modus); ++i) {
    cout << "Interpretation als " << modusText[i] << ": ";
    if (-1 == modus.at(i)) {          // double
      cout << strtod(eingabe, &rest);
    }
    else {          // long
      cout << strtol(eingabe, &rest, modus.at(i));
    }
    if (*rest) {
      cout << " nicht ausgewertet:" << rest;
    }
    cout << '\n';
  }
}
