#include <charconv>                       // from_chars()
#include <cstring>                        // strerror()
#include <iostream>
#include <string>
#include <system_error>                   // errc

int main()
{
  std::string str { "309x7"};
  int erg {};
  auto [ptr, ec] = std::from_chars(str.data(), str.data() + str.size(), erg);
  if(ec == std::errc()) {                    // d.h. kein Fehler
    std::cout << erg << "  " << ptr << '\n';
  }
  else {
    std::cout << "Fehler: " << std::strerror(static_cast<int>(ec)) << '\n';
  }
}

