#include <algorithm>
#include <cassert>
#include <iostream>
#include <iterator>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  vector<int> v1 {1, 2, 3, 4, 5, 6, 7};
  vector<int> nullen(v1.size(), 0);
  vector<int> v2 {nullen};
  copy(v1.begin(), v1.end(), v2.begin());
  assert(v1 == v2);
  v2 = nullen;
  ranges::copy(v1, v2.begin());
  assert(v1 == v2);
  showContainer(v2);
  v2 = nullen;

  copy_backward(v1.begin(), v1.end(), v2.end());
  assert(v1 == v2);
  v2 = nullen;
  ranges::copy_backward(v1, v2.end());
  assert(v1 == v2);

  ostream_iterator<int> ausgabe(cout, "*");
  copy(v1.begin(), v1.end(), ausgabe);
  cout << '\n';
}
