#include <array>
#include <iostream>
using namespace std;

int main()
{
  // Eine 2-dim. Matrix ist ein array von arrays,
  //   die jeweils drei int-Werte enthalten.
  constexpr array matrix{
      array{1, 2, 3}, // matrix[0]
      array{4, 5, 6}  // matrix[1]
  };
  constexpr auto zeilen = ssize(matrix);
  constexpr auto spalten = ssize(matrix[0]);

  for (int i = 0; i < zeilen; ++i) {
    for (int j = 0; j < spalten; ++j) {
      cout << matrix[i][j] << ' ';
    }
    cout << '\n';
  }
  // alternativ
  for (int i = 0; i < ssize(matrix); ++i) {
    for (int j = 0; j < ssize(matrix[0]); ++j) {
      cout << matrix[i][j] << ' ';
    }
    cout << '\n';
  }
  // alternativ
  for (int i = 0; i < ssize(matrix); ++i) {
    for (int j = 0; j < ssize(matrix[0]); ++j) {
      cout << matrix.at(i).at(j) << ' ';
    }
    cout << '\n';
  }
  // alternativ
  for (const auto& vec : matrix) {
    for (auto wert : vec) {
      cout << wert << ' ';
    }
    cout << '\n';
  }
}

