#include <array>
#include <iostream>
#include <queue>
using namespace std;

int main()
{
  constexpr array zahlen{1, 5, 6, 0, 9, 1, 8, 7, 2};
  // Konstruktion mit Iterator-Paar (seit C++23)
  // queue statt queue<int> genügt
  queue eineQueue (zahlen.begin(), zahlen.end());

  cout << "\nZahlen vom queue holen, anzeigen und löschen:\n";
  while (!eineQueue.empty()) {
    cout.width(6);
    cout << eineQueue.front();                // ersten Wert anzeigen
    eineQueue.pop();                          // Wert entfernen
  }
  cout << '\n';
}

