#include <algorithm>
#include <locale>
#include <showContainer.h>
#include <string>
#include <vector>
using namespace std;

int main()
{
  locale dt("de_DE.utf8");
  cout << "dt.name()= " << dt.name() << '\n';
  locale::global(dt);          // dt für alles setzen, Rückgabewert ignorieren
  vector<string> v;
  v.emplace_back("Mucke");
  v.emplace_back("Mücke");
  v.emplace_back("Macke");
  v.emplace_back("Murks");
  sort(v.begin(), v.end());          // falsch  : Macke Mucke Murks Mücke
  showContainer(v);
  sort(v.begin(), v.end(), dt);      // korrekt: Macke Mucke Mücke Murks
  showContainer(v);
}
