#ifndef KLASSEMITKONSTANTE_H
#define KLASSEMITKONSTANTE_H
#include <array>
#include <string>
#include <string_view>

class KlasseMitKonstanten {
public:
  enum aufzaehlung { null, eins, zwei, drei };
  enum class rgb { rot = 0x0001, gelb = 0x0002, blau = 0x0004 };
  static constexpr double constDouble {0.1234};       // Literale erfordern constexpr.
  static inline const int constInt {1000};      // Mit inline und Initialisierung ist
             // bei integralen Typen  oder Aufzählungen keine externe Definition notwendig.
  static const std::string_view constStringview;         // externe Initialisierung
  static inline const std::string constString = "ABC";   // inline-Initialisierung
private:
  static std::array<int, constInt> arr;            // beispielhafte interne Verwendung
};
#endif

