#ifndef BESCHRIFTETESOBJEKT_H
#define BESCHRIFTETESOBJEKT_H
#include "../../abstrakt/GraphObj.h"
#include <string>

class BeschriftetesObjekt : virtual public GraphObj {          // erben
public:
  BeschriftetesObjekt(Ort o, const std::string& b)
  : GraphObj(o), beschriftung{b} {}

  [[nodiscard]] double flaeche() const override { return 0.0; }

  void zeichnen() const override
  {
    GraphObj::zeichnen();
    std::cout << "Beschriftung bei ";
    anzeigen(bezugspunkt());
    std::cout << beschriftung << '\n';
  }

private:
  std::string beschriftung;
};
#endif          // BESCHRIFTETESOBJEKT_H
