#include <iostream>
#include <string>
// Entspricht dem Operator string operator"" s(const char*, size_t) des C++-Standards:
std::string operator"" _str(const char* s, std::size_t)
                                          // letzter Parameter nicht genutzt
{
  return s;
}
using namespace std;  //  wegen std::operator"" s(const char*, size_t)

int main()
{
  string s0 = "123"_str + "abc"_str;   // obiger Operator
  string s1 = "123"s + "abc"s;         // std::operator"" s(const char*, size_t)
  cout << s0 << ' ' << s1 << '\n';     // 123abc 123abc
}

