#ifndef PERSON_H_
#define PERSON_H_
#include "Objekt.h"
#include <iostream>
#include <string>

class Person : public Objekt {
public:
  Person(const std::string& n = "N.N.") 
    : name{n}
  { }

  ~Person() override
  { 
    std::cout << "Person-Destruktor aufgerufen (" << name << ")\n"; 
  }
  [[nodiscard]] auto getName() const { return name; }
private:
  std::string name;
};
#endif
