#ifndef PERSON_H_
#define PERSON_H_
#include "ZaehlendesObjekt.h"
#include <iostream>
#include <string>
#include <string_view>

class Person : public ZaehlendesObjekt {
public:
  Person(std::string_view n) : name(n) {}

  ~Person() override { std::cout << "Person-Destruktor aufgerufen (" << name << ")" << std::endl; }
  auto getName() const { return name; }

private:
  std::string name;
};

#endif /*PERSON_H_*/
