#ifndef GETTYPE_H
#define GETTYPE_H
#include <string>

// Template
template <typename T>
std::string getType(T)  // Parametername wird nicht gebraucht
{
  return "unbekannter Typ";
}

// Template-Spezialisierungen
template <> [[nodiscard]] std::string getType(int) { return "int"; }
template <> [[nodiscard]] std::string getType(unsigned int) { return "unsigned int"; }
template <> [[nodiscard]] std::string getType(double) { return "double"; }
template <> [[nodiscard]] std::string getType(char) { return "char"; }
template <> [[nodiscard]] std::string getType(bool) { return "bool"; }

#endif
