// Welche Fehler hat die untenstehende Funktion?
#include <cstddef>
#include <iostream>
#include <vector>
using namespace std;

/*** Achtung, fehlerhaft! ***/
void bubblesort(vector<int>& feld)
{
  /* Diese Prozedur vergleicht ein Vektor-Element mit dem
  vorhergehenden und vertauscht die Elemente, sofern
  das Element kleiner als der Vorgänger ist.
  Dieser Vorgang wird solange wiederholt, bis das Element 
  \tt{temp} unverändert bleibt, also nichts mehr zu sortieren ist.
  Dadurch bedingt ist dieser Bubble-Sort bei teilweise
  vorsortierten Feldern im Mittel etwas schneller als eine Variante
  mit zwei geschachtelten Schleifen fixer Durchlaufanzahl. */
  int temp;
  do {
    temp = feld[0];
    for (std::size_t j = 1; j < feld.size(); j++) {
      if (feld[j] < feld[j - 1]) {          // vertauschen
        temp = feld[j - 1];
        feld[j - 1] = feld[j];
        feld[j] = temp;
      }
    }
  } while (temp != feld[0]);          // keine Vertauschung mehr
}

int main()
{
  // vector<int> v; // zeigt Fehler 1
  vector<int> v {8, 101, 38, 1, 0, -3, 99, 1010, 4000};
  //v[0]=1200; v[1]=1200; // zeigt Fehler 2
  cout << "unsortiert:\n";
  for (auto zahl : v) {
    cout << ' ' << zahl;
  }
  cout << '\n';
  bubblesort(v);
  cout << "sortiert?:\n";
  for (auto i = 0z; i < ssize(v); i++) {
    if (i > 0 && v[i] <= v[i-1]) {
      cout << '?';
    }
    cout << ' ' << v[i];
  }
  cout << '\n';
}
