#ifndef TASCHENRECHNER_H
#define TASCHENRECHNER_H
#include <string>

class Taschenrechner {
public:
  Taschenrechner(const std::string& ausdruck);
  [[nodiscard]] const std::string& getAnfrage() const;
  [[nodiscard]] long getErgebnis() const;

private:
  [[nodiscard]] long ausdruck(char& c);
  [[nodiscard]] long summand(char& c);
  [[nodiscard]] long faktor(char& c);
  [[nodiscard]] long zahl(char& c);
  void get(char& c);
  std::string anfrage;
  int position {};
  long ergebnis {};
};
#endif
