#ifndef TEILNEHMER_H
#define TEILNEHMER_H
#include <string>
#include <vector>

class Teilnehmer {
public:
  explicit Teilnehmer(const std::string& name);
  void lerntKennen(Teilnehmer& tn);
  [[nodiscard]] bool kennt(const Teilnehmer& tn) const;
  void druckeBekannte() const;
  const std::string& gibNamen() const;

private:
  std::string name;
  std::vector<std::string> dieBekannten;
};
#endif
