#include <fstream>
#include <iostream>
#include <string>
using namespace std;

int main(int argc, const char *argv[]) {
  if (argc < 2) {
    cout << "Gebrauch: " << argv[0] << " zukonvertierendeDatei" << endl;
    return 1;
  }
  ifstream quelle(argv[1], ios::binary); // zu konvertierende Datei
  if (!quelle.good()) {                  // Fehlerabfrage
    cerr << argv[1] << " kann nicht zum Lesen geöffnet werden!\n";
    return -1;
  }
  char ch{'?'};
  string alles;
  while (quelle.get(ch)) {
    alles += ch;
  }
  quelle.close();
  ofstream ausgabe(argv[1], ios::binary);
  if (!ausgabe.good()) { // Fehlerabfrage
    cerr << argv[1] << " kann nicht zum Schreiben geöffnet werden!\n";
    return -1;
  }
  for (char c : alles) {
    if (c != 0x0d) {
      ausgabe.put(c);
    }
  }
}
