#include "Ablage.h"
#include "Consumer.h"
#include "Producer.h"
using namespace std;

int main()
{
  Ablage ablage;
  Producer p1(ablage, 1);
  Producer p2(ablage, 2);
  Consumer c(ablage);
  // Threads starten:
  jthread tp1(std::ref(p1));
  jthread tp2(std::ref(p2));
  jthread tc(std::ref(c));
  // Ende der Producer abwarten:
  tp1.join();
  tp2.join();
  // Warten, bis alles abgeholt ist. Hier wird eine Zeitlang gewartet, weil der Consumer nicht 
  // wissen kann, wie lange noch etwas abgelegt werden könnte.
  cout << "Warten auf letzte get()-Aufrufe .." << endl;
  this_thread::sleep_for(chrono::seconds(2));
  ablage.beenden();
  tc.join();                                 // Ende des Consumers abwarten
}
