.PHONY: clean

CXX:= g++
CXXFLAGS := -c -g -Wall
objs := Rational.o main.o

projekt.exe: $(objs)
	@echo 1  $^
	@echo 2  $@
	@echo 3  $<
	$(CXX) -o $@ $^

# geht auch ohne diese Regel (erkennt make automatisch,
# %.h waere fehlerhaft, weil kein main.h existiert,
# und wuerde zur impliziten Regel fuehren
%.o: %.cpp Rational.h
	$(CXX) $(CXXFLAGS) $<

clean:
	rm -f $(objs)

