#include <algorithm>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  vector<int> folge{0, 1, 3, 4, 4, 4, 5, 6, 7, 8, 1, 3};
  // Die Folge enthält drei aufeinanderfolgende gleiche Werte
  cout << "Folge = ";
  showContainer(folge);
  constexpr int wert{4};
  constexpr int wieoft{3};
  auto position {ranges::search_n(folge, wieoft, wert).begin()};
  if (position != folge.end()) {
    cout << wert << " wird " << wieoft << "-mal nacheinander ab Position "
         << (position - folge.begin()) << " gefunden.\n";
  }
  else {
    cout << wert << " wird nicht " << wieoft << "-mal nacheinander gefunden.\n";
  }
  position = ranges::search_n(folge, wieoft, wert, greater<>()).begin();
  if (position != folge.end()) {
    cout << "Ab Position " << (position - folge.begin()) << " werden " << wieoft
         << "-mal nacheinander Werte größer als " << wert << " gefunden.\n";
  }
  else {
    cout << wieoft << "-mal nacheinander Werte größer als " << wert 
         << " sind nicht vorhanden.\n";
  }
}
