#include <algorithm>
#include <cassert>
#include <showContainer.h>
#include <vector>
using namespace std;

auto istPositiv = [](int x) { return x >= 0; };          // zu prüfendes Prädikat

int main()
{
  vector<int> folge(12);
  for (auto i {0z}; i < ssize(folge); ++i) {
    folge[i] = -i -1;                        // ggf. verändern
  }
  cout << "Folge = ";
  showContainer(folge);
  if (ranges::all_of(folge, istPositiv)) {
    cout << "all_of:  >=0 gilt für alle Elemente\n";
  }
  else {
    cout << "all_of:  >=0 gilt nicht für alle Elemente\n";
  }
  if (ranges::none_of(folge, istPositiv)) {
    cout << "none_of bzw. !any_of: >= 0 gilt für kein Element\n";
  }
  else {
    cout << "none_of bzw. !any_of: >=0 gilt für mindestens ein Element\n";
  }
  assert(ranges::any_of(folge, istPositiv) 
         == !ranges::none_of(folge, istPositiv));
}
