#include <algorithm>
#include <cstdlib>
#include <iostream>
#include <iterator>
#include <ranges>
#include <showContainer.h>
#include <vector>

int main()
{
  // sortierte Folge mit benachbarten gleichen Elementen, Vorzeichen soll egal sein
  std::vector<int> v{0, 0, 0, -1, -1, -1, 2, 2, 2, -3, -3, 3, 4, 4, 4, 5, 5, 5, 6, 6};
  showContainer(v);
  auto [lastvalid, last] = std::ranges::unique(v,
                          {}, //std::ranges::equal_to{}, 
                          [](int x) { return std::abs(x);});

  showContainer(v);                             // 0 1 2 3 4 5 6 2 2 3 3 3 4 4 4 5 5 5 6 6
  v.erase(lastvalid, v.end());
  showContainer(v);                             // 0 1 2 3 4 5 6
}
