#include "mergesort.h"
#include <Random.h>
#include <algorithm>
#include <list>
#include <showContainer.h>

int main()                                   // mit Liste statt Vektor
{
  std::list<int> liste;
  Random zufall(1000);
  for (int i = 0; i < 20; ++i) {
    liste.push_front(zufall());              // pseudo-zufällige Zahlen
  }
  showContainer(liste);
  auto buffer{liste};
  mergesort(liste.begin(), liste.end(), buffer.begin());
  showContainer(liste);                      // sortierte Zahlen
}
