#include <Random.h>
#include <algorithm>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  vector<int> v(10);
  Random zufall(1000);
  for (auto& wert : v) {           // Vektor mit Zufallswerten initialisieren 
    wert = zufall();
  }
  cout << "Vektor: ";
  showContainer(v);
  auto mitte {ssize(v)/2};
  ranges::partial_sort(v, v.begin() + mitte );
  cout << "Die " << mitte 
       << " kleinsten Werte liegen sortiert in der ersten Hälfte,\n"
          "der Rest ist unsortiert:\n";
  showContainer(v);
  constexpr int groessten {3};
  vector<int> vmax(groessten);
  ranges::partial_sort_copy(v, vmax, greater<int>{});
  cout << "Die " << groessten << " größten Elemente sind ";
  showContainer(vmax);
}
