#include <splitAsVector.h>                   // siehe Seite 714
#include <fstream>
#include <iostream>
#include <string>
#include <vector>
using namespace std;

int main()
{
  string csvDateiname;
  cout << "CsvDatei? ";
  cin >> csvDateiname;
  ifstream quelle(csvDateiname);
  if (!quelle) {
    cerr << csvDateiname << " kann nicht geöffnet werden!\n";
    return 1;                                // EXIT
  }
  vector<vector<int>> tabelle;
  while (quelle.good()) {
    string zeile("");
    getline(quelle, zeile);
    if (!quelle.fail()) {
      auto stringvektor = splitAsVector(zeile, ",");
      vector<int> intvektor;
      for (const auto& str : stringvektor) { 
        intvektor.push_back(stoi(str));      // String -> int
      }
      tabelle.push_back(intvektor);
    }
  }
  quelle.close();
  // Tabelle ausgeben
  for (const auto& zeile : tabelle) {
    for (auto zahl : zeile) {
      cout << zahl << "  ";
    }
    cout << '\n';
  }
}

