#ifndef NAME_H
#define NAME_H
#include <iostream>
#include <string>
#include <utility>

class Name {
public:
  Name(std::string str)
    : derName(std::move(str))
  { }

  Name(const Name& n)
    : derName(n.derName)
  {
    std::cout << "Name(const Name&)\n";
  }

  Name(Name&& n)
    : derName(std::move(n.derName))
  {
    std::cout << "Name(Name&&)\n";
  }
  Name& operator=(const Name& n) = default;
  Name& operator=(Name&& n) = default;
  ~Name() = default;

private:
  std::string derName;
};
#endif
