#include <array>
#include <iostream>

void arrayausgeben(const std::array<int, 10>& arr)
{
  for (auto wert : arr) {
    std::cout << wert << ' ';
  }
  std::cout << '\n';
}

template <typename Array>                 // als Template
void arrayausgeben1(const Array& arr)
{
  for (auto wert : arr) {
    std::cout << wert << ' ';
  }
  std::cout << '\n';
}

int main()
{
  constexpr std::array arr{0, 1, 2, 3, 4, 5, 6, 7, 8, 9};
  arrayausgeben(arr);
  arrayausgeben1(arr);
  std::cout << "Zugriff wie bei C-Arrays, z.B. arr[9]: " << arr[9]
            << "\nGroesse des Arrays= " << ssize(arr) << '\n';
}
