#ifndef RECHTECK_H
#define RECHTECK_H
#include "GraphObj.h"

class Rechteck : public GraphObj {          // von GraphObj erben
public:
  Rechteck(Ort ort, int h, int b) 
  : GraphObj{ort}, dieHoehe{h}, dieBreite{b} 
  {}

  [[nodiscard]] auto flaeche() const
  {
    return static_cast<double>(dieHoehe) * dieBreite;     // int-Überlauf vermeiden
  }
private:
  int dieHoehe;
  int dieBreite;
};
#endif

