#include "ProfessorIn.h"
#include "StudentIn.h"
#include <iostream>
#include <memory>
#include <vector>
using namespace std;

int main()
{
  vector<shared_ptr<Person>> diePersonen;
  diePersonen.push_back(
      make_shared<StudentIn>("Herder", "Johann Gottfried", "635374"));
  diePersonen.push_back(
      make_shared<ProfessorIn>("Kant", "Immanuel", "Philosophie"));
  diePersonen.push_back(
      make_shared<StudentIn>("von Schön", "Theodor", "123429"));

  cout << "Vornamen:\n";
  for (auto personPtr : diePersonen) {
    cout << personPtr->getVorname() << '\n';
  }

  cout << "toString() ergibt:\n";
  for (auto personPtr : diePersonen) {
    cout << personPtr->toString() << '\n';
  }
}
