#include <cassert>
#include <chrono>
#include <iostream>
using namespace std;
using namespace std::chrono;

int main()
{
  // Vorbedingungen für die Rechnungen prüfen
  constexpr int grenze = 1e9; // Compiler meldet Fehler bei Überlauf
  // Zahl muss in ergebnis passen. long reicht nicht unter Windows
  constexpr long long ergebnis = 500000000500000000LL;

  // Berechnung mit Zeitmessung
  auto anfang{system_clock::now()};
  long long summe{0L};
  for (int i{0}; i <= grenze; ++i) {
    summe += i;
  }
  auto ns {system_clock::now() - anfang};
  cout << "Summe = " << summe << "  Dauer : " << ns.count() / 1000
       << " Mikrosekunden\n";
  assert(ergebnis == summe);
}
